'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgSportsTennisOutlined = function SvgSportsTennisOutlined(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#SportsTennisOutlined_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    fillRule: "evenodd",
    d: "M9.97 3.55C12.9.62 17.18.15 19.52 2.49s1.86 6.62-1.06 9.55c-1.6 1.6-3.88 2.52-5.46 2.54q-.319.003-.671-.003c-1.516-.018-3.435-.041-4.829 1.353l-4.24 4.24-1.42-1.42 4.24-4.24c1.394-1.394 1.371-3.313 1.353-4.829q-.006-.353-.003-.671c.02-1.59.94-3.86 2.54-5.46m1.41 1.41c-2.11 2.11-2.59 5.19-1.06 6.72 1.54 1.53 4.61 1.05 6.72-1.06s2.59-5.19 1.06-6.72c-1.54-1.53-4.61-1.05-6.72 1.06m8.03 12.63c-.37-.38-.88-.59-1.41-.59s-1.04.21-1.41.58c-.78.78-.78 2.05 0 2.83.37.38.88.59 1.41.59s1.04-.21 1.41-.58c.78-.78.78-2.05 0-2.83m-4.24-1.42C15.95 15.39 16.98 15 18 15a3.998 3.998 0 0 1 2.83 6.83C20.05 22.61 19.02 23 18 23a3.998 3.998 0 0 1-2.83-6.83",
    clipRule: "evenodd"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "SportsTennisOutlined_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h24v24H0z"
  })))));
};

exports.ReactComponent = SvgSportsTennisOutlined;
